/**
 * @author Mohasin Nadaf <mohasin.nadaf@alertlogic.com>
 * @copyright 2020 Alert Logic, Inc.
 */
import { EventEmitter } from '@angular/core';
import { AlSidebarConfig } from '../types/al-sidebar.types';
import { AlViewHelperComponent } from '../al-view-helper/al-view-helper.component';
import { AlNotificationType } from '../types/al-notification-panel.types';
import { Sidebar } from 'primeng-lts/sidebar';
import * as i0 from "@angular/core";
export declare class AlSidebarComponent {
    visible: boolean;
    expanded: boolean;
    config: AlSidebarConfig;
    hideOnClose: boolean;
    helper: AlViewHelperComponent;
    pSideBar: Sidebar;
    onClosed: EventEmitter<any>;
    onSaved: EventEmitter<any>;
    onToggleExpand: EventEmitter<any>;
    onHeaderIconClicked: EventEmitter<any>;
    toggleExpand(): void;
    open(): void;
    hide(): void;
    close(): void;
    headerIconClicked(): void;
    secondaryAction(): void;
    tertiaryAction(): void;
    save(): void;
    /**
     *  Emits a notification through the panel's viewhelper instance.
     */
    notify(text: string, type: AlNotificationType, autoDismiss?: number): void;
    /**
     *  Emits an info-style notification through the panel's viewhelper instance.
     */
    notifyInfo(text: string, autoDismiss?: number, flush?: boolean): void;
    /**
     *  Emits a warning notification through the panel's viewhelper instance.
     */
    notifyWarning(text: string, autoDismiss?: number, flush?: boolean): void;
    /**
     *  Emits an error notification through the panel's viewhelper instance.
     */
    notifyError(text: string, autoDismiss?: number, flush?: boolean): void;
    /**
     *  Emits an success notification through the panel's viewhelper instance.
     */
    notifySuccess(text: string, autoDismiss?: number, flush?: boolean): void;
    /**
     * Clean the notifications
     */
    cleanNotifications(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlSidebarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlSidebarComponent, "al-sidebar", never, { "visible": "visible"; "expanded": "expanded"; "config": "config"; "hideOnClose": "hideOnClose"; }, { "onClosed": "onClosed"; "onSaved": "onSaved"; "onToggleExpand": "onToggleExpand"; "onHeaderIconClicked": "onHeaderIconClicked"; }, never, ["*"]>;
}
